Update to OpenVPN 2.1rc13
[tomato.git] / release / src / router / openvpn / config.status
blobb0360c43ff145c79d052a637e9cb45d80b5d878b
1 #! /bin/bash
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/bash}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
52 rm -f conf$$.sh
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
142 /^X\/\(\/\/\)$/{
143 s//\1/
146 /^X\/\(\/\).*/{
147 s//\1/
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
180 :lineno
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by OpenVPN $as_me 2.1_rc13, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
303 # Files that config.status was made for.
304 config_files=" Makefile openvpn.spec config-win32.h images/Makefile service-win32/Makefile install-win32/Makefile install-win32/settings"
305 config_headers=" config.h"
306 config_commands=" depfiles"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 OpenVPN config.status 2.1_rc13
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc'\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/keith/firmware/release/src/router/openvpn'
345 srcdir='.'
346 INSTALL='/usr/bin/install -c'
347 # If no file are specified by the user, then we need to provide default
348 # value. By we need to know if files were specified by the user.
349 ac_need_defaults=:
350 while test $# != 0
352 case $1 in
353 --*=*)
354 ac_option=`expr "X$1" : 'X\([^=]*\)='`
355 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356 ac_shift=:
359 ac_option=$1
360 ac_optarg=$2
361 ac_shift=shift
363 esac
365 case $ac_option in
366 # Handling of the options.
367 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368 ac_cs_recheck=: ;;
369 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370 echo "$ac_cs_version"; exit ;;
371 --debug | --debu | --deb | --de | --d | -d )
372 debug=: ;;
373 --file | --fil | --fi | --f )
374 $ac_shift
375 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376 ac_need_defaults=false;;
377 --header | --heade | --head | --hea )
378 $ac_shift
379 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380 ac_need_defaults=false;;
381 --he | --h)
382 # Conflict between --help and --header
383 { echo "$as_me: error: ambiguous option: $1
384 Try \`$0 --help' for more information." >&2
385 { (exit 1); exit 1; }; };;
386 --help | --hel | -h )
387 echo "$ac_cs_usage"; exit ;;
388 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389 | -silent | --silent | --silen | --sile | --sil | --si | --s)
390 ac_cs_silent=: ;;
392 # This is an error.
393 -*) { echo "$as_me: error: unrecognized option: $1
394 Try \`$0 --help' for more information." >&2
395 { (exit 1); exit 1; }; } ;;
397 *) ac_config_targets="$ac_config_targets $1"
398 ac_need_defaults=false ;;
400 esac
401 shift
402 done
404 ac_configure_extra_args=
406 if $ac_cs_silent; then
407 exec 6>/dev/null
408 ac_configure_extra_args="$ac_configure_extra_args --silent"
411 if $ac_cs_recheck; then
412 echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc' $ac_configure_extra_args " --no-create --no-recursion" >&6
413 CONFIG_SHELL=/bin/bash
414 export CONFIG_SHELL
415 exec /bin/bash "./configure" '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc' $ac_configure_extra_args --no-create --no-recursion
418 exec 5>>config.log
420 echo
421 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422 ## Running $as_me. ##
423 _ASBOX
424 echo "$ac_log"
425 } >&5
428 # INIT-COMMANDS
430 AMDEP_TRUE="" ac_aux_dir="."
433 # Handling of arguments.
434 for ac_config_target in $ac_config_targets
436 case $ac_config_target in
437 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
438 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440 "openvpn.spec") CONFIG_FILES="$CONFIG_FILES openvpn.spec" ;;
441 "config-win32.h") CONFIG_FILES="$CONFIG_FILES config-win32.h" ;;
442 "images/Makefile") CONFIG_FILES="$CONFIG_FILES images/Makefile" ;;
443 "service-win32/Makefile") CONFIG_FILES="$CONFIG_FILES service-win32/Makefile" ;;
444 "install-win32/Makefile") CONFIG_FILES="$CONFIG_FILES install-win32/Makefile" ;;
445 "install-win32/settings") CONFIG_FILES="$CONFIG_FILES install-win32/settings" ;;
447 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
448 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
449 { (exit 1); exit 1; }; };;
450 esac
451 done
454 # If the user did not use the arguments to specify the items to instantiate,
455 # then the envvar interface is used. Set only those that are not.
456 # We use the long form for the default assignment because of an extremely
457 # bizarre bug on SunOS 4.1.3.
458 if $ac_need_defaults; then
459 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
460 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
461 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
464 # Have a temporary directory for convenience. Make it in the build tree
465 # simply because there is no reason against having it here, and in addition,
466 # creating and moving files from /tmp can sometimes cause problems.
467 # Hook for its removal unless debugging.
468 # Note that there is a small window in which the directory will not be cleaned:
469 # after its creation but before its name has been assigned to `$tmp'.
470 $debug ||
472 tmp=
473 trap 'exit_status=$?
474 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
476 trap '{ (exit 1); exit 1; }' 1 2 13 15
478 # Create a (secure) tmp directory for tmp files.
481 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
482 test -n "$tmp" && test -d "$tmp"
483 } ||
485 tmp=./conf$$-$RANDOM
486 (umask 077 && mkdir "$tmp")
487 } ||
489 echo "$me: cannot create a temporary directory in ." >&2
490 { (exit 1); exit 1; }
494 # Set up the sed scripts for CONFIG_FILES section.
497 # No need to generate the scripts if there are no CONFIG_FILES.
498 # This happens for instance when ./config.status config.h
499 if test -n "$CONFIG_FILES"; then
501 cat >"$tmp/subs-1.sed" <<\CEOF
502 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
503 s,@SHELL@,|#_!!_#|/bin/bash,g
504 s,@PATH_SEPARATOR@,|#_!!_#|:,g
505 s,@PACKAGE_NAME@,|#_!!_#|OpenVPN,g
506 s,@PACKAGE_TARNAME@,|#_!!_#|openvpn,g
507 s,@PACKAGE_VERSION@,|#_!!_#|2.1_rc13,g
508 s,@PACKAGE_STRING@,|#_!!_#|OpenVPN 2.1_rc13,g
509 s,@PACKAGE_BUGREPORT@,|#_!!_#|openvpn-users@|#_!!_#|lists.sourceforge.net,g
510 s,@exec_prefix@,|#_!!_#|${prefix},g
511 s,@prefix@,|#_!!_#|/usr/local,g
512 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
513 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
514 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
515 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
516 s,@datarootdir@,|#_!!_#|${prefix}/share,g
517 s,@datadir@,|#_!!_#|${datarootdir},g
518 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
519 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
520 s,@localstatedir@,|#_!!_#|${prefix}/var,g
521 s,@includedir@,|#_!!_#|${prefix}/include,g
522 s,@oldincludedir@,|#_!!_#|/usr/include,g
523 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
524 s,@infodir@,|#_!!_#|${datarootdir}/info,g
525 s,@htmldir@,|#_!!_#|${docdir},g
526 s,@dvidir@,|#_!!_#|${docdir},g
527 s,@pdfdir@,|#_!!_#|${docdir},g
528 s,@psdir@,|#_!!_#|${docdir},g
529 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
530 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
531 s,@mandir@,|#_!!_#|${datarootdir}/man,g
532 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
533 s,@ECHO_C@,|#_!!_#|,g
534 s,@ECHO_N@,|#_!!_#|-n,g
535 s,@ECHO_T@,|#_!!_#|,g
536 s,@LIBS@,|#_!!_#|-lssl -lcrypto -llzo2 ,g
537 s,@build_alias@,|#_!!_#|,g
538 s,@host_alias@,|#_!!_#|mipsel-linux,g
539 s,@target_alias@,|#_!!_#|,g
540 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
541 s,@build_cpu@,|#_!!_#|i686,g
542 s,@build_vendor@,|#_!!_#|pc,g
543 s,@build_os@,|#_!!_#|linux-gnu,g
544 s,@host@,|#_!!_#|mipsel-unknown-linux-gnu,g
545 s,@host_cpu@,|#_!!_#|mipsel,g
546 s,@host_vendor@,|#_!!_#|unknown,g
547 s,@host_os@,|#_!!_#|linux-gnu,g
548 s,@target@,|#_!!_#|mipsel-unknown-linux-gnu,g
549 s,@target_cpu@,|#_!!_#|mipsel,g
550 s,@target_vendor@,|#_!!_#|unknown,g
551 s,@target_os@,|#_!!_#|linux-gnu,g
552 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
553 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
554 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
555 s,@CYGPATH_W@,|#_!!_#|echo,g
556 s,@PACKAGE@,|#_!!_#|openvpn,g
557 s,@VERSION@,|#_!!_#|2.1_rc13,g
558 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run aclocal-1.9,g
559 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run autoconf,g
560 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run automake-1.9,g
561 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run autoheader,g
562 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run makeinfo,g
563 s,@install_sh@,|#_!!_#|/home/keith/firmware/release/src/router/openvpn/install-sh,g
564 s,@STRIP@,|#_!!_#|mipsel-uclibc-strip,g
565 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
566 s,@mkdir_p@,|#_!!_#|mkdir -p --,g
567 s,@AWK@,|#_!!_#|mawk,g
568 s,@SET_MAKE@,|#_!!_#|,g
569 s,@am__leading_dot@,|#_!!_#|.,g
570 s,@AMTAR@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run tar,g
571 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
572 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
573 s,@IFCONFIG@,|#_!!_#|/sbin/ifconfig,g
574 s,@IPROUTE@,|#_!!_#|/sbin/ip,g
575 s,@ROUTE@,|#_!!_#|/sbin/route,g
576 s,@CC@,|#_!!_#|mipsel-uclibc-gcc,g
577 s,@CFLAGS@,|#_!!_#|-mips2 -O3 -Wall,g
578 s,@LDFLAGS@,|#_!!_#| -L../openssl/ -L../lzo/src/.libs/,g
579 s,@CPPFLAGS@,|#_!!_#| -I../openssl/include/ -I../lzo/include -I.,g
580 s,@ac_ct_CC@,|#_!!_#|,g
581 s,@EXEEXT@,|#_!!_#|,g
582 s,@OBJEXT@,|#_!!_#|o,g
583 s,@DEPDIR@,|#_!!_#|.deps,g
584 s,@am__include@,|#_!!_#|include,g
585 s,@am__quote@,|#_!!_#|,g
586 s,@AMDEP_TRUE@,|#_!!_#|,g
587 s,@AMDEP_FALSE@,|#_!!_#|#,g
588 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
589 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
590 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
591 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
592 s,@CPP@,|#_!!_#|mipsel-uclibc-gcc -E,g
593 s,@GREP@,|#_!!_#|/bin/grep,g
594 s,@EGREP@,|#_!!_#|/bin/grep -E,g
595 s,@MAN2HTML@,|#_!!_#|,g
596 s,@LIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.o,g
597 s,@PTHREAD_CC@,|#_!!_#|,g
598 s,@PTHREAD_LIBS@,|#_!!_#|,g
599 s,@PTHREAD_CFLAGS@,|#_!!_#|,g
600 CEOF
601 cat >"$tmp/subs-2.sed" <<\CEOF
602 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
603 s,@TAP_ID@,|#_!!_#|tap0901,g
604 s,@TAP_WIN32_MIN_MAJOR@,|#_!!_#|9,g
605 s,@TAP_WIN32_MIN_MINOR@,|#_!!_#|1,g
606 s,@win32datadir@,|#_!!_#|${datadir}/openvpn-win32,g
607 s,@WIN32_TRUE@,|#_!!_#|#,g
608 s,@WIN32_FALSE@,|#_!!_#|,g
609 s,@LTLIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.lo,g
610 :end
611 s/|#_!!_#|//g
612 CEOF
613 fi # test -n "$CONFIG_FILES"
616 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
618 case $ac_tag in
619 :[FHLC]) ac_mode=$ac_tag; continue;;
620 esac
621 case $ac_mode$ac_tag in
622 :[FHL]*:*);;
623 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
624 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
625 { (exit 1); exit 1; }; };;
626 :[FH]-) ac_tag=-:-;;
627 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
628 esac
629 ac_save_IFS=$IFS
630 IFS=:
631 set x $ac_tag
632 IFS=$ac_save_IFS
633 shift
634 ac_file=$1
635 shift
637 case $ac_mode in
638 :L) ac_source=$1;;
639 :[FH])
640 ac_file_inputs=
641 for ac_f
643 case $ac_f in
644 -) ac_f="$tmp/stdin";;
645 *) # Look for the file first in the build tree, then in the source tree
646 # (if the path is not absolute). The absolute path cannot be DOS-style,
647 # because $ac_f cannot contain `:'.
648 test -f "$ac_f" ||
649 case $ac_f in
650 [\\/$]*) false;;
651 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
652 esac ||
653 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
654 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
655 { (exit 1); exit 1; }; };;
656 esac
657 ac_file_inputs="$ac_file_inputs $ac_f"
658 done
660 # Let's still pretend it is `configure' which instantiates (i.e., don't
661 # use $as_me), people would be surprised to read:
662 # /* config.h. Generated by config.status. */
663 configure_input="Generated from "`IFS=:
664 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
665 if test x"$ac_file" != x-; then
666 configure_input="$ac_file. $configure_input"
667 { echo "$as_me:$LINENO: creating $ac_file" >&5
668 echo "$as_me: creating $ac_file" >&6;}
671 case $ac_tag in
672 *:-:* | *:-) cat >"$tmp/stdin";;
673 esac
675 esac
677 ac_dir=`$as_dirname -- "$ac_file" ||
678 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
679 X"$ac_file" : 'X\(//\)[^/]' \| \
680 X"$ac_file" : 'X\(//\)$' \| \
681 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
682 echo X"$ac_file" |
683 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
684 s//\1/
687 /^X\(\/\/\)[^/].*/{
688 s//\1/
691 /^X\(\/\/\)$/{
692 s//\1/
695 /^X\(\/\).*/{
696 s//\1/
699 s/.*/./; q'`
700 { as_dir="$ac_dir"
701 case $as_dir in #(
702 -*) as_dir=./$as_dir;;
703 esac
704 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
705 as_dirs=
706 while :; do
707 case $as_dir in #(
708 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
709 *) as_qdir=$as_dir;;
710 esac
711 as_dirs="'$as_qdir' $as_dirs"
712 as_dir=`$as_dirname -- "$as_dir" ||
713 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
714 X"$as_dir" : 'X\(//\)[^/]' \| \
715 X"$as_dir" : 'X\(//\)$' \| \
716 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
717 echo X"$as_dir" |
718 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
719 s//\1/
722 /^X\(\/\/\)[^/].*/{
723 s//\1/
726 /^X\(\/\/\)$/{
727 s//\1/
730 /^X\(\/\).*/{
731 s//\1/
734 s/.*/./; q'`
735 test -d "$as_dir" && break
736 done
737 test -z "$as_dirs" || eval "mkdir $as_dirs"
738 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
739 echo "$as_me: error: cannot create directory $as_dir" >&2;}
740 { (exit 1); exit 1; }; }; }
741 ac_builddir=.
743 case "$ac_dir" in
744 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
746 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
747 # A ".." for each directory in $ac_dir_suffix.
748 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
749 case $ac_top_builddir_sub in
750 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
751 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
752 esac ;;
753 esac
754 ac_abs_top_builddir=$ac_pwd
755 ac_abs_builddir=$ac_pwd$ac_dir_suffix
756 # for backward compatibility:
757 ac_top_builddir=$ac_top_build_prefix
759 case $srcdir in
760 .) # We are building in place.
761 ac_srcdir=.
762 ac_top_srcdir=$ac_top_builddir_sub
763 ac_abs_top_srcdir=$ac_pwd ;;
764 [\\/]* | ?:[\\/]* ) # Absolute name.
765 ac_srcdir=$srcdir$ac_dir_suffix;
766 ac_top_srcdir=$srcdir
767 ac_abs_top_srcdir=$srcdir ;;
768 *) # Relative name.
769 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
770 ac_top_srcdir=$ac_top_build_prefix$srcdir
771 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
772 esac
773 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
776 case $ac_mode in
779 # CONFIG_FILE
782 case $INSTALL in
783 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
784 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
785 esac
786 # If the template does not know about datarootdir, expand it.
787 # FIXME: This hack should be removed a few years after 2.60.
788 ac_datarootdir_hack=; ac_datarootdir_seen=
790 case `sed -n '/datarootdir/ {
794 /@datadir@/p
795 /@docdir@/p
796 /@infodir@/p
797 /@localedir@/p
798 /@mandir@/p
799 ' $ac_file_inputs` in
800 *datarootdir*) ac_datarootdir_seen=yes;;
801 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
802 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
803 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
804 ac_datarootdir_hack='
805 s&@datadir@&${datarootdir}&g
806 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
807 s&@infodir@&${datarootdir}/info&g
808 s&@localedir@&${datarootdir}/locale&g
809 s&@mandir@&${datarootdir}/man&g
810 s&\${datarootdir}&${prefix}/share&g' ;;
811 esac
812 sed "/^[ ]*VPATH[ ]*=/{
813 s/:*\$(srcdir):*/:/
814 s/:*\${srcdir}:*/:/
815 s/:*@srcdir@:*/:/
816 s/^\([^=]*=[ ]*\):*/\1/
817 s/:*$//
818 s/^[^=]*=[ ]*$//
822 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
823 s&@configure_input@&$configure_input&;t t
824 s&@top_builddir@&$ac_top_builddir_sub&;t t
825 s&@srcdir@&$ac_srcdir&;t t
826 s&@abs_srcdir@&$ac_abs_srcdir&;t t
827 s&@top_srcdir@&$ac_top_srcdir&;t t
828 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
829 s&@builddir@&$ac_builddir&;t t
830 s&@abs_builddir@&$ac_abs_builddir&;t t
831 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
832 s&@INSTALL@&$ac_INSTALL&;t t
833 $ac_datarootdir_hack
834 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
836 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
837 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
838 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
839 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
840 which seems to be undefined. Please make sure it is defined." >&5
841 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
842 which seems to be undefined. Please make sure it is defined." >&2;}
844 rm -f "$tmp/stdin"
845 case $ac_file in
846 -) cat "$tmp/out"; rm -f "$tmp/out";;
847 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
848 esac
852 # CONFIG_HEADER
854 # First, check the format of the line:
855 cat >"$tmp/defines.sed" <<\CEOF
856 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
857 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
859 :def
860 s/$/ /
861 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "OpenVPN" ,
862 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "openvpn" ,
863 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "2.1_rc13" ,
864 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "OpenVPN 2.1_rc13" ,
865 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "openvpn-users@lists.sourceforge.net" ,
866 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "openvpn" ,
867 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "2.1_rc13" ,
868 s,^\([ #]*\)[^ ]*\([ ]*IFCONFIG_PATH\)[ (].*,\1define\2 "/sbin/ifconfig" ,
869 s,^\([ #]*\)[^ ]*\([ ]*IPROUTE_PATH\)[ (].*,\1define\2 "/sbin/ip" ,
870 s,^\([ #]*\)[^ ]*\([ ]*ROUTE_PATH\)[ (].*,\1define\2 "/sbin/route" ,
871 s,^\([ #]*\)[^ ]*\([ ]*TARGET_ALIAS\)[ (].*,\1define\2 "mipsel-unknown-linux-gnu" ,
872 s,^\([ #]*\)[^ ]*\([ ]*TARGET_LINUX\)[ (].*,\1define\2 1 ,
873 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
874 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
875 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
876 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
877 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
878 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
879 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
880 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
881 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
882 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
883 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
884 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CPP_VARARG_MACRO_ISO\)[ (].*,\1define\2 1 ,
885 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CPP_VARARG_MACRO_GCC\)[ (].*,\1define\2 1 ,
886 s,^\([ #]*\)[^ ]*\([ ]*EMPTY_ARRAY_SIZE\)[ (].*,\1define\2 0 ,
887 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
888 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
889 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
890 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDIO_H\)[ (].*,\1define\2 1 ,
891 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
892 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
893 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
894 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
895 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_WAIT_H\)[ (].*,\1define\2 1 ,
896 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
897 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SOCKET_H\)[ (].*,\1define\2 1 ,
898 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_UN_H\)[ (].*,\1define\2 1 ,
899 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_IOCTL_H\)[ (].*,\1define\2 1 ,
900 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
901 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_MMAN_H\)[ (].*,\1define\2 1 ,
902 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
903 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_FILE_H\)[ (].*,\1define\2 1 ,
904 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
905 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
906 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
907 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
908 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SIGNAL_H\)[ (].*,\1define\2 1 ,
909 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDIO_H\)[ (].*,\1define\2 1 ,
910 CEOF
911 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
912 # First, check the format of the line:
913 cat >"$tmp/defines.sed" <<\CEOF
914 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
915 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
917 :def
918 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
919 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
920 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
921 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
922 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
923 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PWD_H\)[ (].*,\1define\2 1 ,
924 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GRP_H\)[ (].*,\1define\2 1 ,
925 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STROPTS_H\)[ (].*,\1define\2 1 ,
926 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IN_H\)[ (].*,\1define\2 1 ,
927 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IN_SYSTM_H\)[ (].*,\1define\2 1 ,
928 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_TCP_H\)[ (].*,\1define\2 1 ,
929 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ARPA_INET_H\)[ (].*,\1define\2 1 ,
930 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETDB_H\)[ (].*,\1define\2 1 ,
931 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_UIO_H\)[ (].*,\1define\2 1 ,
932 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_IF_TUN_H\)[ (].*,\1define\2 1 ,
933 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_SOCKIOS_H\)[ (].*,\1define\2 1 ,
934 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_TYPES_H\)[ (].*,\1define\2 1 ,
935 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_POLL_H\)[ (].*,\1define\2 1 ,
936 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERR_H\)[ (].*,\1define\2 1 ,
937 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NET_IF_H\)[ (].*,\1define\2 1 ,
938 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IP_H\)[ (].*,\1define\2 1 ,
939 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IF_ETHER_H\)[ (].*,\1define\2 1 ,
940 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RESOLV_H\)[ (].*,\1define\2 1 ,
941 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_ERRQUEUE_H\)[ (].*,\1define\2 1 ,
942 s,^\([ #]*\)[^ ]*\([ ]*HAVE_TUN_PI\)[ (].*,\1define\2 1 ,
943 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IPHDR\)[ (].*,\1define\2 1 ,
944 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IOVEC\)[ (].*,\1define\2 1 ,
945 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCK_EXTENDED_ERR\)[ (].*,\1define\2 1 ,
946 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MSGHDR\)[ (].*,\1define\2 1 ,
947 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CMSGHDR\)[ (].*,\1define\2 1 ,
948 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IN_PKTINFO\)[ (].*,\1define\2 1 ,
949 s,^\([ #]*\)[^ ]*\([ ]*SIZEOF_UNSIGNED_INT\)[ (].*,\1define\2 4 ,
950 s,^\([ #]*\)[^ ]*\([ ]*SIZEOF_UNSIGNED_LONG\)[ (].*,\1define\2 4 ,
951 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTIME\)[ (].*,\1define\2 1 ,
952 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMSET\)[ (].*,\1define\2 1 ,
953 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VSNPRINTF\)[ (].*,\1define\2 1 ,
954 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRDUP\)[ (].*,\1define\2 1 ,
955 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DAEMON\)[ (].*,\1define\2 1 ,
956 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CHROOT\)[ (].*,\1define\2 1 ,
957 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPWNAM\)[ (].*,\1define\2 1 ,
958 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETUID\)[ (].*,\1define\2 1 ,
959 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NICE\)[ (].*,\1define\2 1 ,
960 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSTEM\)[ (].*,\1define\2 1 ,
961 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPID\)[ (].*,\1define\2 1 ,
962 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DUP\)[ (].*,\1define\2 1 ,
963 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DUP2\)[ (].*,\1define\2 1 ,
964 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPASS\)[ (].*,\1define\2 1 ,
965 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
966 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG\)[ (].*,\1define\2 1 ,
967 s,^\([ #]*\)[^ ]*\([ ]*HAVE_OPENLOG\)[ (].*,\1define\2 1 ,
968 CEOF
969 sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
970 # First, check the format of the line:
971 cat >"$tmp/defines.sed" <<\CEOF
972 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
973 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
975 :def
976 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MLOCKALL\)[ (].*,\1define\2 1 ,
977 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETGRNAM\)[ (].*,\1define\2 1 ,
978 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETGID\)[ (].*,\1define\2 1 ,
979 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETGROUPS\)[ (].*,\1define\2 1 ,
980 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STAT\)[ (].*,\1define\2 1 ,
981 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FLOCK\)[ (].*,\1define\2 1 ,
982 s,^\([ #]*\)[^ ]*\([ ]*HAVE_READV\)[ (].*,\1define\2 1 ,
983 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WRITEV\)[ (].*,\1define\2 1 ,
984 s,^\([ #]*\)[^ ]*\([ ]*HAVE_TIME\)[ (].*,\1define\2 1 ,
985 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETSID\)[ (].*,\1define\2 1 ,
986 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CHDIR\)[ (].*,\1define\2 1 ,
987 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PUTENV\)[ (].*,\1define\2 1 ,
988 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPEERNAME\)[ (].*,\1define\2 1 ,
989 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNLINK\)[ (].*,\1define\2 1 ,
990 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FTRUNCATE\)[ (].*,\1define\2 1 ,
991 s,^\([ #]*\)[^ ]*\([ ]*HAVE_EXECVE\)[ (].*,\1define\2 1 ,
992 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UMASK\)[ (].*,\1define\2 1 ,
993 s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
994 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FORK\)[ (].*,\1define\2 1 ,
995 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VFORK\)[ (].*,\1define\2 1 ,
996 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WORKING_VFORK\)[ (].*,\1define\2 1 ,
997 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WORKING_FORK\)[ (].*,\1define\2 1 ,
998 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETTIMEOFDAY\)[ (].*,\1define\2 1 ,
999 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKET\)[ (].*,\1define\2 1 ,
1000 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECV\)[ (].*,\1define\2 1 ,
1001 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECVFROM\)[ (].*,\1define\2 1 ,
1002 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SEND\)[ (].*,\1define\2 1 ,
1003 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SENDTO\)[ (].*,\1define\2 1 ,
1004 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LISTEN\)[ (].*,\1define\2 1 ,
1005 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ACCEPT\)[ (].*,\1define\2 1 ,
1006 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CONNECT\)[ (].*,\1define\2 1 ,
1007 s,^\([ #]*\)[^ ]*\([ ]*HAVE_BIND\)[ (].*,\1define\2 1 ,
1008 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
1009 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETHOSTBYNAME\)[ (].*,\1define\2 1 ,
1010 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INET_NTOA\)[ (].*,\1define\2 1 ,
1011 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETSOCKOPT\)[ (].*,\1define\2 1 ,
1012 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETSOCKOPT\)[ (].*,\1define\2 1 ,
1013 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETSOCKNAME\)[ (].*,\1define\2 1 ,
1014 s,^\([ #]*\)[^ ]*\([ ]*HAVE_POLL\)[ (].*,\1define\2 1 ,
1015 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SENDMSG\)[ (].*,\1define\2 1 ,
1016 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECVMSG\)[ (].*,\1define\2 1 ,
1017 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RES_INIT\)[ (].*,\1define\2 1 ,
1018 s,^\([ #]*\)[^ ]*\([ ]*LZO_HEADER_DIR\)[ (].*,\1define\2 1 ,
1019 s,^\([ #]*\)[^ ]*\([ ]*USE_LZO\)[ (].*,\1define\2 1 ,
1020 s,^\([ #]*\)[^ ]*\([ ]*LZO_VERSION_NUM\)[ (].*,\1define\2 "2" ,
1021 s,^\([ #]*\)[^ ]*\([ ]*USE_CRYPTO\)[ (].*,\1define\2 1 ,
1022 s,^\([ #]*\)[^ ]*\([ ]*HAVE_EVP_CIPHER_CTX_SET_KEY_LENGTH\)[ (].*,\1define\2 1 ,
1023 s,^\([ #]*\)[^ ]*\([ ]*USE_SSL\)[ (].*,\1define\2 1 ,
1024 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_CLIENT_SERVER\)[ (].*,\1define\2 1 ,
1025 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MANAGEMENT\)[ (].*,\1define\2 1 ,
1026 CEOF
1027 sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
1028 # First, check the format of the line:
1029 cat >"$tmp/defines.sed" <<\CEOF
1030 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
1031 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
1033 :def
1034 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_HTTP_PROXY\)[ (].*,\1define\2 1 ,
1035 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MULTIHOME\)[ (].*,\1define\2 1 ,
1036 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_SMALL\)[ (].*,\1define\2 1 ,
1037 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_FRAGMENT\)[ (].*,\1define\2 1 ,
1038 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_PORT_SHARE\)[ (].*,\1define\2 1 ,
1039 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_PASSWORD_SAVE\)[ (].*,\1define\2 1 ,
1040 s,^\([ #]*\)[^ ]*\([ ]*TAP_ID\)[ (].*,\1define\2 "tap0901" ,
1041 s,^\([ #]*\)[^ ]*\([ ]*TAP_WIN32_MIN_MAJOR\)[ (].*,\1define\2 9 ,
1042 s,^\([ #]*\)[^ ]*\([ ]*TAP_WIN32_MIN_MINOR\)[ (].*,\1define\2 1 ,
1043 s/ $//
1044 s,^[ #]*u.*,/* & */,
1045 CEOF
1046 sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1047 ac_result="$tmp/out2"
1048 if test x"$ac_file" != x-; then
1049 echo "/* $configure_input */" >"$tmp/config.h"
1050 cat "$ac_result" >>"$tmp/config.h"
1051 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1052 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1053 echo "$as_me: $ac_file is unchanged" >&6;}
1054 else
1055 rm -f $ac_file
1056 mv "$tmp/config.h" $ac_file
1058 else
1059 echo "/* $configure_input */"
1060 cat "$ac_result"
1062 rm -f "$tmp/out12"
1063 # Compute $ac_file's index in $config_headers.
1064 _am_stamp_count=1
1065 for _am_header in $config_headers :; do
1066 case $_am_header in
1067 $ac_file | $ac_file:* )
1068 break ;;
1070 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1071 esac
1072 done
1073 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
1074 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1075 X$ac_file : 'X\(//\)[^/]' \| \
1076 X$ac_file : 'X\(//\)$' \| \
1077 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
1078 echo X$ac_file |
1079 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1080 s//\1/
1083 /^X\(\/\/\)[^/].*/{
1084 s//\1/
1087 /^X\(\/\/\)$/{
1088 s//\1/
1091 /^X\(\/\).*/{
1092 s//\1/
1095 s/.*/./; q'`/stamp-h$_am_stamp_count
1098 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1099 echo "$as_me: executing $ac_file commands" >&6;}
1101 esac
1104 case $ac_file$ac_mode in
1105 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1106 # Strip MF so we end up with the name of the file.
1107 mf=`echo "$mf" | sed -e 's/:.*$//'`
1108 # Check whether this is an Automake generated Makefile or not.
1109 # We used to match only the files named `Makefile.in', but
1110 # some people rename them; so instead we look at the file content.
1111 # Grep'ing the first line is not enough: some people post-process
1112 # each Makefile.in and add a new line on top of each file to say so.
1113 # So let's grep whole file.
1114 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1115 dirpart=`$as_dirname -- "$mf" ||
1116 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1117 X"$mf" : 'X\(//\)[^/]' \| \
1118 X"$mf" : 'X\(//\)$' \| \
1119 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1120 echo X"$mf" |
1121 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1122 s//\1/
1125 /^X\(\/\/\)[^/].*/{
1126 s//\1/
1129 /^X\(\/\/\)$/{
1130 s//\1/
1133 /^X\(\/\).*/{
1134 s//\1/
1137 s/.*/./; q'`
1138 else
1139 continue
1141 # Extract the definition of DEPDIR, am__include, and am__quote
1142 # from the Makefile without running `make'.
1143 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1144 test -z "$DEPDIR" && continue
1145 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1146 test -z "am__include" && continue
1147 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1148 # When using ansi2knr, U may be empty or an underscore; expand it
1149 U=`sed -n 's/^U = //p' < "$mf"`
1150 # Find all dependency output files, they are included files with
1151 # $(DEPDIR) in their names. We invoke sed twice because it is the
1152 # simplest approach to changing $(DEPDIR) to its actual value in the
1153 # expansion.
1154 for file in `sed -n "
1155 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1156 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1157 # Make sure the directory exists.
1158 test -f "$dirpart/$file" && continue
1159 fdir=`$as_dirname -- "$file" ||
1160 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1161 X"$file" : 'X\(//\)[^/]' \| \
1162 X"$file" : 'X\(//\)$' \| \
1163 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1164 echo X"$file" |
1165 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1166 s//\1/
1169 /^X\(\/\/\)[^/].*/{
1170 s//\1/
1173 /^X\(\/\/\)$/{
1174 s//\1/
1177 /^X\(\/\).*/{
1178 s//\1/
1181 s/.*/./; q'`
1182 { as_dir=$dirpart/$fdir
1183 case $as_dir in #(
1184 -*) as_dir=./$as_dir;;
1185 esac
1186 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1187 as_dirs=
1188 while :; do
1189 case $as_dir in #(
1190 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1191 *) as_qdir=$as_dir;;
1192 esac
1193 as_dirs="'$as_qdir' $as_dirs"
1194 as_dir=`$as_dirname -- "$as_dir" ||
1195 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1196 X"$as_dir" : 'X\(//\)[^/]' \| \
1197 X"$as_dir" : 'X\(//\)$' \| \
1198 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1199 echo X"$as_dir" |
1200 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1201 s//\1/
1204 /^X\(\/\/\)[^/].*/{
1205 s//\1/
1208 /^X\(\/\/\)$/{
1209 s//\1/
1212 /^X\(\/\).*/{
1213 s//\1/
1216 s/.*/./; q'`
1217 test -d "$as_dir" && break
1218 done
1219 test -z "$as_dirs" || eval "mkdir $as_dirs"
1220 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1221 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1222 { (exit 1); exit 1; }; }; }
1223 # echo "creating $dirpart/$file"
1224 echo '# dummy' > "$dirpart/$file"
1225 done
1226 done
1229 esac
1230 done # for ac_tag
1233 { (exit 0); exit 0; }